$font-family: Roboto Mono, Helvetica, Arial, sans-serif;

$blue-primary-color: #0051ab;
$white: #ffffff;
$primary-base-color: $blue-primary-color;


.page-center{
  width: 100%;
}
.ml-10{
  display: inline-block;
  margin-left: 10%;
}

.section-min-height-95{
  min-height: 95vh;
}
.section-min-height-85{
  min-height: 85vh;
}

.section-min-height-75{
  min-height: 75vh;
}

.section-min-height-65{
  min-height: 65vh;
}
.custom-shape-divider-top-1641913718 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  transform: rotate(180deg);
}

.custom-shape-divider-top-1641913718 svg {
  position: relative;
  display: block;
  width: calc(148% + 1.3px);
  height: 185px;
}

.custom-shape-divider-top-1641913718 .shape-fill {
  fill: #ff0000;
}

/** For tablet devices **/
@media (min-width: 768px) and (max-width: 1023px) {
  .custom-shape-divider-top-1641913718 svg {
    width: calc(148% + 1.3px);
    height: 199px;
  }
}

/** For mobile devices **/
@media (max-width: 767px) {
  .custom-shape-divider-top-1641913718 svg {
    width: calc(135% + 1.3px);
    height: 68px;
  }
}

div.waves{
  width: 100%;
  bottom: 0;
  /*height: 100%;*/
  position: absolute;
  z-index: 99;
}
.tutorial-link{
  font-family: sans-serif;
  text-align: center;
  color: #f3f3f3;
}

.waves svg{
  position: absolute;
  width: 100%;
  bottom: 0;
  left: 0;
  animation-name: move-left;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}
.spacer{
  height: 100px;
  width: 100%;
}

@keyframes example {
  0%   {
    left:0px;
    top:0px;}

  50%  {
    left:-2000px;
    top:200px;}

  100% {
    left:0px;
    top:0px;}
}




.custom-shape-divider-top-1641910898 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  transform: rotate(180deg);
}

.custom-shape-divider-top-1641910898 svg {
  position: relative;
  display: block;
  width: calc(148% + 1.3px);
  height: 185px;
}

.custom-shape-divider-top-1641910898 .shape-fill {
  fill: #FFFFFF;
}

/** For tablet devices **/
@media (min-width: 768px) and (max-width: 1023px) {
  .custom-shape-divider-top-1641910898 svg {
    width: calc(148% + 1.3px);
    height: 199px;
  }
}

/** For mobile devices **/
@media (max-width: 767px) {
  .custom-shape-divider-top-1641910898 svg {
    width: calc(135% + 1.3px);
    height: 68px;
  }
}

.custom-shape-divider-bottom-1641903611 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  transform: rotate(180deg);
}

.custom-shape-divider-bottom-1641903611 svg {
  position: relative;
  display: block;
  width: calc(167% + 1.3px);
  height: 133px;
}

.custom-shape-divider-bottom-1641903611 .shape-fill {
  fill: $primary-base-color;
}

/** For tablet devices **/
@media (min-width: 768px) and (max-width: 1023px) {
  .custom-shape-divider-bottom-1641903611 svg {
    width: calc(167% + 1.3px);
    height: 91px;
  }
}

/** For mobile devices **/
@media (max-width: 767px) {
  .custom-shape-divider-bottom-1641903611 svg {
    width: calc(167% + 1.3px);
    height: 49px;
  }
}

.custom-shape-divider-top-1641903938 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
}

.custom-shape-divider-top-1641903938 svg {
  position: relative;
  display: block;
  width: calc(167% + 1.3px);
  height: 133px;
}

.custom-shape-divider-top-1641903938 .shape-fill {
  fill: $primary-base-color;
}

/** For tablet devices **/
@media (min-width: 768px) and (max-width: 1023px) {
  .custom-shape-divider-top-1641903938 svg {
    width: calc(167% + 1.3px);
    height: 91px;
  }
}

/** For mobile devices **/
@media (max-width: 767px) {
  .custom-shape-divider-top-1641903938 svg {
    width: calc(167% + 1.3px);
    height: 49px;
  }
}

#app {
  font-family: $font-family;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  overflow-x: hidden;
}

#body {
  margin: 0
}

#nav {
  padding: 30px;
  margin-right: 100px;

  a {
    font-weight: bold;
    color: black;
    text-decoration: none;
    margin-right: 100px;

    &.router-link-exact-active {
      color: $primary-base-color;
      margin-right: 100px;
    }
  }
}

h1 {
  font-size: 4rem;
}
p {
  font-size: 1.5rem;
}

section {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 400px;
  padding-top: 100px;
}

.red {
  background: #ff0000;
}

.primary {
  background: $primary-base-color;
}

.pink {
  background: #c6549d;
  overflow: hidden;
}

.dark {
  background: #1e0042;
}

/* Curved bg with plain CSS */

.curve {
  position: absolute;
  height: 250px;
  width: 100%;
  bottom: 0;
  text-align: center;
}

.curve::before {
  content: '';
  display: block;
  position: absolute;
  border-radius: 100% 50%;
  width: 55%;
  height: 100%;
  transform: translate(85%, 60%);
  background-color: #ff0000;
}

.curve::after {
  content: '';
  display: block;
  position: absolute;
  border-radius: 100% 50%;
  width: 55%;
  height: 100%;
  background-color: #ffffff;
  transform: translate(-4%, 40%);
  z-index: 1;
}

/* Bubble bg with plain CSS */

.bubble::after {
  content: '';
  border-top-left-radius: 50% 100%;
  border-top-right-radius: 50% 100%;
  position: absolute;
  bottom: 0;
  z-index: -1;
  width: 100%;
  background-color: #3131b0;
  height: 85%;
}

/* Curved bg with SVG via https://www.shapedivider.app/ */

.wave {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
}

.wave svg {
  position: relative;
  display: block;
  width: calc(103% + 1.3px);
  height: 262px;
}

.wave .shape-fill {
  fill: hsl(240, 57%, 42%);
}

/* SVG background image via https://haikei.app/ */

.spacer {
  aspect-ratio: 960/300;
  width: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}



.flip {
  transform: rotate(180deg);
}

/* Blobs SVG background image via https://haikei.app/ */

.blob-motion {
  position: absolute;
  transform: translateY(-20%);
  z-index: 0;
}

.blob-content {
  z-index: 1;
}


.image {
  max-width: 70%;
  height: auto;
  border-radius: 5rem;
}

.custom-shape-divider-bottom-1641919006 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  transform: rotate(180deg);
}

.custom-shape-divider-bottom-1641919006 svg {
  position: relative;
  display: block;
  width: calc(100% + 1.3px);
  height: 136px;
}

.custom-shape-divider-bottom-1641919006 .shape-fill {
  fill: #1e0042;
}

/** For tablet devices **/
@media (min-width: 768px) and (max-width: 1023px) {
  .custom-shape-divider-bottom-1641919006 svg {
    width: calc(100% + 1.3px);
    height: 93px;
  }
}

/** For mobile devices **/
@media (max-width: 767px) {
  .custom-shape-divider-bottom-1641919006 svg {
    width: calc(135% + 1.3px);
    height: 42px;
  }
}
